Subject: [PATCH 2/3] arm64: mm: Route pmd thp functions through pte equivalents

From: [email-masked] (Catalin Marinas)
Date: Wed, 12 Feb 2014 10:14:23 +0000

On Thu, Feb 06, 2014 at 02:16:10PM +0000, Steve Capper wrote:
> Rather than have separate hugetlb and transparent huge page pmd
> manipulation functions, re-wire our thp functions to simply call the
> pte equivalents.

That's one thing I don't like about hugetlb, casting pmds to ptes. Do we
actually save much in terms of code clean-up by doing this?

-- 
Catalin